[
{
    blockid=snmp;
    help=root_snmp_snmp;
    localvar={
	/* translate this block */
	.snmp.text="SNMP \u8a2d\u5b9a";
	.org.text="\u7d44\u7e54\u540d\u7a31\uff1a";
	.description.text="\u4f3a\u670d\u5668\u8aaa\u660e\uff1a";
	.contact.text="\u806f\u7d61\u4eba\u8cc7\u8a0a\uff1a";
	.location.text="\u4f3a\u670d\u5668\u4f4d\u7f6e\uff1a";
	.enable.text="\u555f\u7528\u7d71\u8a08\u8cc7\u6599\u63a1\u96c6";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    text=$.snmp.text;
	    font=["","",16];
	    wrap=$g.label.size5;
	    constraint={
	        gridy=0;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=orglabel;
	    text=$.org.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=orglabel;
	    val=$snmp.organization.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=descriptionlabel;
	    text=$.description.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=descriptionlabel;
	    val=$snmp.description.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=contactlabel;
	    text=$.contact.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=contactlabel;
	    val=$snmp.contact.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=locationlabel;
	    text=$.location.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=locationlabel;
	    val=$snmp.location.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    id=snmpenable;
	    text=$.enable.text;
	    val=$snmp.enable.value;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        weighty=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.comp;
	    }
	}
    ]
}
]

